Add =app-emulation/vmware-workstation-14.1.7.12989993-r6

and =app-emulation/vmware-workstation-15.1.0.13591040-r4
This commit is contained in:
Sergey Morozov
2019-07-27 00:42:20 +03:00
parent c847790877
commit e42dc76c71
29 changed files with 2892 additions and 0 deletions

View File

@@ -0,0 +1,95 @@
Date: Tue Jan 1 04:50:30 2019 -0800
vmware-workstation: crude vmware-installer fixing attempt
Just enough to get the various automation things to actually
work in the client, on my box. No idea if this is maintainable
or what... feels gross since I have no idea how any of this crap
actually works.
from Arch.
Probably totally broken without vendored libs. Not upstream ready.
also, needs bin/vmrun first in ${PATH}:
#!/bin/bash
tree=/opt/vmware
stutter=vmware/lib
libstutter() {
echo "lib${1}.so.1.0.2"
}
libpath() {
echo "${tree}/${stutter}/${stutter}/$(libstutter "${1}")"
}
export LD_LIBRARY_PATH="$(libpath ssl):$(libpath crypto)${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}"
exec /opt/vmware/bin/vmrun "$@"
Maybe something like that needs to go in place of /opt/vmware/bin/vmrun?
---
.../vmware-workstation/files/vmware-server-15.0.rc | 6 +++++-
.../vmware-workstation-15.0.2.10952284-r2.ebuild | 19 ++++++++++++++++---
2 files changed, 21 insertions(+), 4 deletions(-)
diff --git a/app-emulation/vmware-workstation/files/vmware-server-15.0.rc b/app-emulation/vmware-workstation/files/vmware-server-15.0.rc
index 8f9b7dd..20b6b80 100644
--- a/app-emulation/vmware-workstation/files/vmware-server-15.0.rc
+++ b/app-emulation/vmware-workstation/files/vmware-server-15.0.rc
@@ -47,6 +47,10 @@ stop() {
--pidfile /var/run/vmware/vmware-hostd.PID
eend $?
ebegin Stopping VMware Authentication Daemon
- killall --wait vmware-authdlauncher
+ local needkill=1
+ killall -0 vmware-authdlauncher &>/dev/null || needkill=0
+ if [[ needkill -eq 1 ]]; then
+ kill -HUP --wait $(pidof vmware-authdlauncher)
+ fi
eend $?
}
diff --git a/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild b/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
index c279020..ceb328b 100644
--- a/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
+++ b/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
@@ -346,10 +346,22 @@ src_install() {
rm -rf "${D}${VM_INSTALL_DIR}"/lib/vmware/*.so
# install the installer
- insinto "${VM_INSTALL_DIR}"/lib/vmware-installer/$vmware_installer_version
- doins vmware-installer/{vmis,vmis-launcher,vmware-installer,vmware-installer.py}
insinto /etc/vmware-installer
doins vmware-installer/bootstrap
+ sed -e "s|@@VERSION@@|${vmware_installer_version}|" \
+ -e "s|@@VMWARE_INSTALLER@@|/opt/vmware/lib/vmware-installer/${vmware_installer_version}|" \
+ -i "${D%/}"/etc/vmware-installer/bootstrap || die
+
+ exeinto "${VM_INSTALL_DIR}"/lib/vmware-installer/${vmware_installer_version}
+ doexe vmware-installer/{vmware-installer,vmis-launcher}
+
+ insinto "${VM_INSTALL_DIR}"/lib/vmware-installer/${vmware_installer_version}
+ doins vmware-installer/vmware-installer.py
+ doins -r vmware-installer/{artwork,.installer,vmis}
+ if use bundled-libs ; then
+ doins -r vmware-installer/{python,sopython}
+ doins -r vmware-installer/lib
+ fi
# workaround for hardcoded search paths needed during shared objects loading
if ! use bundled-libs ; then
@@ -382,7 +394,7 @@ src_install() {
doexe */vmware-config
# pam
- pamd_mimic_system vmware-authd auth account
+ pamd_mimic_system vmware-authd auth account password session
# fuse
insinto /etc/modprobe.d
@@ -471,6 +483,7 @@ src_install() {
dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware "${VM_INSTALL_DIR}"/bin/vmware
dosym "${VM_INSTALL_DIR}"/lib/vmware/icu /etc/vmware/icu
+ dosym "${VM_INSTALL_DIR}"/lib/vmware-installer/${vmware_installer_version}/vmware-installer "${VM_INSTALL_DIR}"/bin/vmware-installer
# fix permissions
fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/bin/{appLoader,fusermount,mkisofs,vmware-remotemks}

View File

@@ -0,0 +1,32 @@
Date: Wed Jan 2 15:11:27 2019 -0800
add wierd bin/vmware-netcfg & lib/libcrypto.so.1.0.2-x86-64 symlinks
---
.../vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild b/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
index ceb328b..89c24b1 100644
--- a/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
+++ b/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
@@ -345,6 +345,11 @@ src_install() {
doins -r */lib/* vmware-vmx/roms
rm -rf "${D}${VM_INSTALL_DIR}"/lib/vmware/*.so
+ # it wants this for whatever reason... fine, but what if ! use bundled-libs, still needed?
+ if use bundled-libs; then
+ dosym "libcrypto.so.1.0.2" "${VM_INSTALL_DIR}"/lib/vmware/lib/libcrypto.so.1.0.2-x86-64
+ fi
+
# install the installer
insinto /etc/vmware-installer
doins vmware-installer/bootstrap
@@ -482,6 +487,7 @@ src_install() {
done
dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware "${VM_INSTALL_DIR}"/bin/vmware
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-netcfg "${VM_INSTALL_DIR}"/bin/vmware-netcfg
dosym "${VM_INSTALL_DIR}"/lib/vmware/icu /etc/vmware/icu
dosym "${VM_INSTALL_DIR}"/lib/vmware-installer/${vmware_installer_version}/vmware-installer "${VM_INSTALL_DIR}"/bin/vmware-installer

View File

@@ -0,0 +1,27 @@
Date: Fri Jan 4 04:07:29 2019 -0800
Add a couple more symlinks and stuff for block-device mounting
---
.../vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild b/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
index 89c24b1..5e83794 100644
--- a/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
+++ b/app-emulation/vmware-workstation/vmware-workstation-15.0.2.10952284-r2.ebuild
@@ -482,12 +482,13 @@ src_install() {
# create symlinks for the various tools
local tool ; for tool in thnuclnt vmware vmplayer{,-daemon} licenseTool vmamqpd \
- vmware-{app-control,enter-serial,gksu,fuseUI,hostd,modconfig{,-console},netcfg,tray,unity-helper,vim-cmd,vmblock-fuse,vprobe,wssc-adminTool,zenity} ; do
+ vmware-{app-control,enter-serial,gksu,fuseUI,hostd,modconfig{,-console},netcfg,tray,unity-helper,vim-cmd,vmblock-fuse,vmware-fuseUI,vprobe,wssc-adminTool,zenity} ; do
dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}"
done
dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware "${VM_INSTALL_DIR}"/bin/vmware
dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-netcfg "${VM_INSTALL_DIR}"/bin/vmware-netcfg
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-fuseUI "${VM_INSTALL_DIR}"/bin/vmware-fuseUI
dosym "${VM_INSTALL_DIR}"/lib/vmware/icu /etc/vmware/icu
dosym "${VM_INSTALL_DIR}"/lib/vmware-installer/${vmware_installer_version}/vmware-installer "${VM_INSTALL_DIR}"/bin/vmware-installer